Skip to main content

AWS Cloud Connectivity - Public Self Made - Replace (PUT)

This page documents the Replace (PUT) operation in the AWS Cloud Connectivity API. Use a valid JWT bearer token.

PUT https://ope-obs.apibackbone.orange.com/evolutionplatform/aws/api/v1/projects/{projectId}/aws/cloudconnectors/publicselfmades/{id}
Authorization: Bearer YOUR_ACCESS_TOKEN

Parameters​

ParameterInRequiredType / default
idpathYesstring uuid
projectIdpathYesstring uuid

Request body​

JSON fieldRequiredType / notes
nameYesstring: cloud connector name
stateYesstring (DESIGNING, DESIGNED, BOOKING, RESERVED, PROVISIONING, ACTIVE, STOPPING, SUSPENDING, INACTIVE, REPAIRING, TERMINATED, ERROR): cloud connector state
bandwidthYesinteger int32: cloud connector bandwidth
maxBandwidthNointeger int32: cloud connector maximum bandwidth
technicalVpnIdYesstring uuid: network connector uuid associated with the cloud connector
awsCredentialIdYesstring uuid: aws credential uuid to be used to manage the cloud connector on aws
networkSideAsnYesinteger int64: network side asn
serviceLevelYesstring (Ha, Standard): service level of the cloud connector
primaryPopLocalizationYesstring: primary pop localization of the cloud connector
secondaryPopLocalizationNostring: secondary pop localization of the cloud connector
networkSideGatewaySubnetPrimaryYesstring: primary network side gateway subnet
networkSideGatewaySubnetSecondaryNostring: secondary network side gateway subnet
targetGatewayIdYesstring: virtual or transit gateway provisioned in AWS
regionYesstring: cloud connector region

Response​

Successful response: 200. ok Response schema: object.